Package com.independentsoft.office.spreadsheet

# Class SheetProtection

java.lang.Object
com.independentsoft.office.spreadsheet.SheetProtection

public class SheetProtection extends Object
The Class SheetProtection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SheetProtection()`
  Instantiates a new sheet protection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SheetProtection`
  `clone()`
  `String`
  `getPassword()`
  Gets the password.
  `boolean`
  `isAutoFilterLocked()`
  Checks if is auto filter locked.
  `boolean`
  `isDeleteColumnsLocked()`
  Checks if is delete columns locked.
  `boolean`
  `isDeleteRowsLocked()`
  Checks if is delete rows locked.
  `boolean`
  `isFormatCellsLocked()`
  Checks if is format cells locked.
  `boolean`
  `isFormatColumnsLocked()`
  Checks if is format columns locked.
  `boolean`
  `isFormatRowsLocked()`
  Checks if is format rows locked.
  `boolean`
  `isInsertColumnsLocked()`
  Checks if is insert columns locked.
  `boolean`
  `isInsertHyperlinksLocked()`
  Checks if is insert hyperlinks locked.
  `boolean`
  `isInsertRowsLocked()`
  Checks if is insert rows locked.
  `boolean`
  `isObjectsLocked()`
  Checks if is objects locked.
  `boolean`
  `isPivotTablesLocked()`
  Checks if is pivot tables locked.
  `boolean`
  `isScenariosLocked()`
  Checks if is scenarios locked.
  `boolean`
  `isSelectLockedCellsLocked()`
  Checks if is select locked cells locked.
  `boolean`
  `isSelectUnlockedCellsLocked()`
  Checks if is select unlocked cells locked.
  `boolean`
  `isSheetLocked()`
  Checks if is sheet locked.
  `boolean`
  `isSortLocked()`
  Checks if is sort locked.
  `void`
  `setAutoFilterLocked​(boolean autoFilterLocked)`
  Sets the auto filter locked.
  `void`
  `setDeleteColumnsLocked​(boolean deleteColumnsLocked)`
  Sets the delete columns locked.
  `void`
  `setDeleteRowsLocked​(boolean deleteRowsLocked)`
  Sets the delete rows locked.
  `void`
  `setFormatCellsLocked​(boolean formatCellsLocked)`
  Sets the format cells locked.
  `void`
  `setFormatColumnsLocked​(boolean formatColumnsLocked)`
  Sets the format columns locked.
  `void`
  `setFormatRowsLocked​(boolean formatRowsLocked)`
  Sets the format rows locked.
  `void`
  `setInsertColumnsLocked​(boolean insertColumnsLocked)`
  Sets the insert columns locked.
  `void`
  `setInsertHyperlinksLocked​(boolean insertHyperlinksLocked)`
  Sets the insert hyperlinks locked.
  `void`
  `setInsertRowsLocked​(boolean insertRowsLocked)`
  Sets the insert rows locked.
  `void`
  `setObjectsLocked​(boolean objectsLocked)`
  Sets the objects locked.
  `void`
  `setPassword​(String password)`
  Sets the password.
  `void`
  `setPivotTablesLocked​(boolean pivotTablesLocked)`
  Sets the pivot tables locked.
  `void`
  `setScenariosLocked​(boolean scenariosLocked)`
  Sets the scenarios locked.
  `void`
  `setSelectLockedCellsLocked​(boolean selectLockedCellsLocked)`
  Sets the select locked cells locked.
  `void`
  `setSelectUnlockedCellsLocked​(boolean selectUnlockedCellsLocked)`
  Sets the select unlocked cells locked.
  `void`
  `setSheetLocked​(boolean sheetLocked)`
  Sets the sheet locked.
  `void`
  `setSortLocked​(boolean sortLocked)`
  Sets the sort locked.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SheetProtection

    public SheetProtection()
    Instantiates a new sheet protection.

- ## Method Details

  - ### clone

    public SheetProtection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAutoFilterLocked

    public boolean isAutoFilterLocked()
    Checks if is auto filter locked.
    Returns:
      true, if is auto filter locked

  - ### setAutoFilterLocked

    public void setAutoFilterLocked​(boolean autoFilterLocked)
    Sets the auto filter locked.
    Parameters:
      `autoFilterLocked` - the new auto filter locked

  - ### isDeleteColumnsLocked

    public boolean isDeleteColumnsLocked()
    Checks if is delete columns locked.
    Returns:
      true, if is delete columns locked

  - ### setDeleteColumnsLocked

    public void setDeleteColumnsLocked​(boolean deleteColumnsLocked)
    Sets the delete columns locked.
    Parameters:
      `deleteColumnsLocked` - the new delete columns locked

  - ### isDeleteRowsLocked

    public boolean isDeleteRowsLocked()
    Checks if is delete rows locked.
    Returns:
      true, if is delete rows locked

  - ### setDeleteRowsLocked

    public void setDeleteRowsLocked​(boolean deleteRowsLocked)
    Sets the delete rows locked.
    Parameters:
      `deleteRowsLocked` - the new delete rows locked

  - ### isFormatCellsLocked

    public boolean isFormatCellsLocked()
    Checks if is format cells locked.
    Returns:
      true, if is format cells locked

  - ### setFormatCellsLocked

    public void setFormatCellsLocked​(boolean formatCellsLocked)
    Sets the format cells locked.
    Parameters:
      `formatCellsLocked` - the new format cells locked

  - ### isFormatColumnsLocked

    public boolean isFormatColumnsLocked()
    Checks if is format columns locked.
    Returns:
      true, if is format columns locked

  - ### setFormatColumnsLocked

    public void setFormatColumnsLocked​(boolean formatColumnsLocked)
    Sets the format columns locked.
    Parameters:
      `formatColumnsLocked` - the new format columns locked

  - ### isFormatRowsLocked

    public boolean isFormatRowsLocked()
    Checks if is format rows locked.
    Returns:
      true, if is format rows locked

  - ### setFormatRowsLocked

    public void setFormatRowsLocked​(boolean formatRowsLocked)
    Sets the format rows locked.
    Parameters:
      `formatRowsLocked` - the new format rows locked

  - ### isInsertColumnsLocked

    public boolean isInsertColumnsLocked()
    Checks if is insert columns locked.
    Returns:
      true, if is insert columns locked

  - ### setInsertColumnsLocked

    public void setInsertColumnsLocked​(boolean insertColumnsLocked)
    Sets the insert columns locked.
    Parameters:
      `insertColumnsLocked` - the new insert columns locked

  - ### isInsertHyperlinksLocked

    public boolean isInsertHyperlinksLocked()
    Checks if is insert hyperlinks locked.
    Returns:
      true, if is insert hyperlinks locked

  - ### setInsertHyperlinksLocked

    public void setInsertHyperlinksLocked​(boolean insertHyperlinksLocked)
    Sets the insert hyperlinks locked.
    Parameters:
      `insertHyperlinksLocked` - the new insert hyperlinks locked

  - ### isInsertRowsLocked

    public boolean isInsertRowsLocked()
    Checks if is insert rows locked.
    Returns:
      true, if is insert rows locked

  - ### setInsertRowsLocked

    public void setInsertRowsLocked​(boolean insertRowsLocked)
    Sets the insert rows locked.
    Parameters:
      `insertRowsLocked` - the new insert rows locked

  - ### isObjectsLocked

    public boolean isObjectsLocked()
    Checks if is objects locked.
    Returns:
      true, if is objects locked

  - ### setObjectsLocked

    public void setObjectsLocked​(boolean objectsLocked)
    Sets the objects locked.
    Parameters:
      `objectsLocked` - the new objects locked

  - ### getPassword

    public String getPassword()
    Gets the password.
    Returns:
      the password

  - ### setPassword

    public void setPassword​(String password)
    Sets the password.
    Parameters:
      `password` - the new password

  - ### isPivotTablesLocked

    public boolean isPivotTablesLocked()
    Checks if is pivot tables locked.
    Returns:
      true, if is pivot tables locked

  - ### setPivotTablesLocked

    public void setPivotTablesLocked​(boolean pivotTablesLocked)
    Sets the pivot tables locked.
    Parameters:
      `pivotTablesLocked` - the new pivot tables locked

  - ### isScenariosLocked

    public boolean isScenariosLocked()
    Checks if is scenarios locked.
    Returns:
      true, if is scenarios locked

  - ### setScenariosLocked

    public void setScenariosLocked​(boolean scenariosLocked)
    Sets the scenarios locked.
    Parameters:
      `scenariosLocked` - the new scenarios locked

  - ### isSelectLockedCellsLocked

    public boolean isSelectLockedCellsLocked()
    Checks if is select locked cells locked.
    Returns:
      true, if is select locked cells locked

  - ### setSelectLockedCellsLocked

    public void setSelectLockedCellsLocked​(boolean selectLockedCellsLocked)
    Sets the select locked cells locked.
    Parameters:
      `selectLockedCellsLocked` - the new select locked cells locked

  - ### isSelectUnlockedCellsLocked

    public boolean isSelectUnlockedCellsLocked()
    Checks if is select unlocked cells locked.
    Returns:
      true, if is select unlocked cells locked

  - ### setSelectUnlockedCellsLocked

    public void setSelectUnlockedCellsLocked​(boolean selectUnlockedCellsLocked)
    Sets the select unlocked cells locked.
    Parameters:
      `selectUnlockedCellsLocked` - the new select unlocked cells locked

  - ### isSheetLocked

    public boolean isSheetLocked()
    Checks if is sheet locked.
    Returns:
      true, if is sheet locked

  - ### setSheetLocked

    public void setSheetLocked​(boolean sheetLocked)
    Sets the sheet locked.
    Parameters:
      `sheetLocked` - the new sheet locked

  - ### isSortLocked

    public boolean isSortLocked()
    Checks if is sort locked.
    Returns:
      true, if is sort locked

  - ### setSortLocked

    public void setSortLocked​(boolean sortLocked)
    Sets the sort locked.
    Parameters:
      `sortLocked` - the new sort locked